// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: reward.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace Reward {

  /// <summary>Holder for reflection information generated from reward.proto</summary>
  public static partial class RewardReflection {

    #region Descriptor
    /// <summary>File descriptor for reward.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static RewardReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "CgxyZXdhcmQucHJvdG8SBnJld2FyZBoMY29tbW9uLnByb3RvGg1tb25zdGVy",
            "LnByb3RvGg9pbnZlbnRvcnkucHJvdG8aDGJhdHRsZS5wcm90byKPAQoGUmV3",
            "YXJkEgoKAmlkGAEgASgFEiMKCGFjdGl2aXR5GAIgASgLMhEubW9uc3Rlci5B",
            "Y3Rpdml0eRIiCghpdGVtTGlzdBgDIAEoCzIQLml0ZW0uSXRlbUlkTGlzdBId",
            "CgVvd25lchgEIAEoCzIOLmNvbW1vbi5Vc2VySWQSEQoJY29sbGVjdGVkGAUg",
            "ASgIIiwKClJld2FyZExpc3QSHgoGcmV3YXJkGAEgAygLMg4ucmV3YXJkLlJl",
            "d2FyZDLsAQoNUmV3YXJkU2VydmljZRIwCgxDcmVhdGVSZXdhcmQSDi5iYXR0",
            "bGUuQmF0dGxlGg4ucmV3YXJkLlJld2FyZCIAEi8KCWdldFJld2FyZBIQLmNv",
            "bW1vbi5SZXdhcmRJZBoOLnJld2FyZC5SZXdhcmQiABI7Cg1jb2xsZWN0UmV3",
            "YXJkEhAuY29tbW9uLlJld2FyZElkGhYuY29tbW9uLlJlc3BvbnNlU3RhdHVz",
            "IgASOwoTZ2V0QWxsUmV3YXJkc0J5VXNlchIOLmNvbW1vbi5Vc2VySWQaEi5y",
            "ZXdhcmQuUmV3YXJkTGlzdCIAQi9aLWdpdGxhYi5jb20vdmFqYXJfbWluaWdh",
            "bWUvcHJvdG9fZ28vZ2VuL3Jld2FyZGIGcHJvdG8z"));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { global::Common.CommonReflection.Descriptor, global::Monster.MonsterReflection.Descriptor, global::Item.InventoryReflection.Descriptor, global::Battle.BattleReflection.Descriptor, },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::Reward.Reward), global::Reward.Reward.Parser, new[]{ "Id", "Activity", "ItemList", "Owner", "Collected" }, null, null, null, null),
            new pbr::GeneratedClrTypeInfo(typeof(global::Reward.RewardList), global::Reward.RewardList.Parser, new[]{ "Reward" }, null, null, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class Reward : pb::IMessage<Reward>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<Reward> _parser = new pb::MessageParser<Reward>(() => new Reward());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public static pb::MessageParser<Reward> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::Reward.RewardReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public Reward() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public Reward(Reward other) : this() {
      id_ = other.id_;
      activity_ = other.activity_ != null ? other.activity_.Clone() : null;
      itemList_ = other.itemList_ != null ? other.itemList_.Clone() : null;
      owner_ = other.owner_ != null ? other.owner_.Clone() : null;
      collected_ = other.collected_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public Reward Clone() {
      return new Reward(this);
    }

    /// <summary>Field number for the "id" field.</summary>
    public const int IdFieldNumber = 1;
    private int id_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public int Id {
      get { return id_; }
      set {
        id_ = value;
      }
    }

    /// <summary>Field number for the "activity" field.</summary>
    public const int ActivityFieldNumber = 2;
    private global::Monster.Activity activity_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public global::Monster.Activity Activity {
      get { return activity_; }
      set {
        activity_ = value;
      }
    }

    /// <summary>Field number for the "itemList" field.</summary>
    public const int ItemListFieldNumber = 3;
    private global::Item.ItemIdList itemList_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public global::Item.ItemIdList ItemList {
      get { return itemList_; }
      set {
        itemList_ = value;
      }
    }

    /// <summary>Field number for the "owner" field.</summary>
    public const int OwnerFieldNumber = 4;
    private global::Common.UserId owner_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public global::Common.UserId Owner {
      get { return owner_; }
      set {
        owner_ = value;
      }
    }

    /// <summary>Field number for the "collected" field.</summary>
    public const int CollectedFieldNumber = 5;
    private bool collected_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public bool Collected {
      get { return collected_; }
      set {
        collected_ = value;
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public override bool Equals(object other) {
      return Equals(other as Reward);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public bool Equals(Reward other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (Id != other.Id) return false;
      if (!object.Equals(Activity, other.Activity)) return false;
      if (!object.Equals(ItemList, other.ItemList)) return false;
      if (!object.Equals(Owner, other.Owner)) return false;
      if (Collected != other.Collected) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public override int GetHashCode() {
      int hash = 1;
      if (Id != 0) hash ^= Id.GetHashCode();
      if (activity_ != null) hash ^= Activity.GetHashCode();
      if (itemList_ != null) hash ^= ItemList.GetHashCode();
      if (owner_ != null) hash ^= Owner.GetHashCode();
      if (Collected != false) hash ^= Collected.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (Id != 0) {
        output.WriteRawTag(8);
        output.WriteInt32(Id);
      }
      if (activity_ != null) {
        output.WriteRawTag(18);
        output.WriteMessage(Activity);
      }
      if (itemList_ != null) {
        output.WriteRawTag(26);
        output.WriteMessage(ItemList);
      }
      if (owner_ != null) {
        output.WriteRawTag(34);
        output.WriteMessage(Owner);
      }
      if (Collected != false) {
        output.WriteRawTag(40);
        output.WriteBool(Collected);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (Id != 0) {
        output.WriteRawTag(8);
        output.WriteInt32(Id);
      }
      if (activity_ != null) {
        output.WriteRawTag(18);
        output.WriteMessage(Activity);
      }
      if (itemList_ != null) {
        output.WriteRawTag(26);
        output.WriteMessage(ItemList);
      }
      if (owner_ != null) {
        output.WriteRawTag(34);
        output.WriteMessage(Owner);
      }
      if (Collected != false) {
        output.WriteRawTag(40);
        output.WriteBool(Collected);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public int CalculateSize() {
      int size = 0;
      if (Id != 0) {
        size += 1 + pb::CodedOutputStream.ComputeInt32Size(Id);
      }
      if (activity_ != null) {
        size += 1 + pb::CodedOutputStream.ComputeMessageSize(Activity);
      }
      if (itemList_ != null) {
        size += 1 + pb::CodedOutputStream.ComputeMessageSize(ItemList);
      }
      if (owner_ != null) {
        size += 1 + pb::CodedOutputStream.ComputeMessageSize(Owner);
      }
      if (Collected != false) {
        size += 1 + 1;
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public void MergeFrom(Reward other) {
      if (other == null) {
        return;
      }
      if (other.Id != 0) {
        Id = other.Id;
      }
      if (other.activity_ != null) {
        if (activity_ == null) {
          Activity = new global::Monster.Activity();
        }
        Activity.MergeFrom(other.Activity);
      }
      if (other.itemList_ != null) {
        if (itemList_ == null) {
          ItemList = new global::Item.ItemIdList();
        }
        ItemList.MergeFrom(other.ItemList);
      }
      if (other.owner_ != null) {
        if (owner_ == null) {
          Owner = new global::Common.UserId();
        }
        Owner.MergeFrom(other.Owner);
      }
      if (other.Collected != false) {
        Collected = other.Collected;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 8: {
            Id = input.ReadInt32();
            break;
          }
          case 18: {
            if (activity_ == null) {
              Activity = new global::Monster.Activity();
            }
            input.ReadMessage(Activity);
            break;
          }
          case 26: {
            if (itemList_ == null) {
              ItemList = new global::Item.ItemIdList();
            }
            input.ReadMessage(ItemList);
            break;
          }
          case 34: {
            if (owner_ == null) {
              Owner = new global::Common.UserId();
            }
            input.ReadMessage(Owner);
            break;
          }
          case 40: {
            Collected = input.ReadBool();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 8: {
            Id = input.ReadInt32();
            break;
          }
          case 18: {
            if (activity_ == null) {
              Activity = new global::Monster.Activity();
            }
            input.ReadMessage(Activity);
            break;
          }
          case 26: {
            if (itemList_ == null) {
              ItemList = new global::Item.ItemIdList();
            }
            input.ReadMessage(ItemList);
            break;
          }
          case 34: {
            if (owner_ == null) {
              Owner = new global::Common.UserId();
            }
            input.ReadMessage(Owner);
            break;
          }
          case 40: {
            Collected = input.ReadBool();
            break;
          }
        }
      }
    }
    #endif

  }

  public sealed partial class RewardList : pb::IMessage<RewardList>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<RewardList> _parser = new pb::MessageParser<RewardList>(() => new RewardList());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public static pb::MessageParser<RewardList> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::Reward.RewardReflection.Descriptor.MessageTypes[1]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public RewardList() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public RewardList(RewardList other) : this() {
      reward_ = other.reward_.Clone();
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public RewardList Clone() {
      return new RewardList(this);
    }

    /// <summary>Field number for the "reward" field.</summary>
    public const int RewardFieldNumber = 1;
    private static readonly pb::FieldCodec<global::Reward.Reward> _repeated_reward_codec
        = pb::FieldCodec.ForMessage(10, global::Reward.Reward.Parser);
    private readonly pbc::RepeatedField<global::Reward.Reward> reward_ = new pbc::RepeatedField<global::Reward.Reward>();
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public pbc::RepeatedField<global::Reward.Reward> Reward {
      get { return reward_; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public override bool Equals(object other) {
      return Equals(other as RewardList);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public bool Equals(RewardList other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if(!reward_.Equals(other.reward_)) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public override int GetHashCode() {
      int hash = 1;
      hash ^= reward_.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      reward_.WriteTo(output, _repeated_reward_codec);
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      reward_.WriteTo(ref output, _repeated_reward_codec);
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public int CalculateSize() {
      int size = 0;
      size += reward_.CalculateSize(_repeated_reward_codec);
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public void MergeFrom(RewardList other) {
      if (other == null) {
        return;
      }
      reward_.Add(other.reward_);
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 10: {
            reward_.AddEntriesFrom(input, _repeated_reward_codec);
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 10: {
            reward_.AddEntriesFrom(ref input, _repeated_reward_codec);
            break;
          }
        }
      }
    }
    #endif

  }

  #endregion

}

#endregion Designer generated code
